Bug 1276642 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000a68 [drm] [NEEDINFO]
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-30 06:57 EDT by 项纪汉
Modified: 2016-10-26 12:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-26 12:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (xiangjihan)

Attachments (Terms of Use)
File: dmesg (120.80 KB, text/plain)
2015-10-30 06:58 EDT, 项纪汉
no flags Details

  None (edit)
Description 项纪汉 2015-10-30 06:57:58 EDT
Additional info:
reporter:       libreport-2.6.3
BUG: unable to handle kernel NULL pointer dereference at 0000000000000a68
IP: [<ffffffffa003bd8b>] drm_ht_find_item+0x2b/0x60 [drm]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_nat ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack vmw_vsock_vmci_transport vsock snd_seq_midi snd_seq_midi_event snd_ens1371 gameport snd_rawmidi snd_ac97_codec ac97_bus snd_seq snd_seq_device iosf_mbi snd_pcm coretemp crct10dif_pclmul snd_timer crc32_pclmul ppdev ghash_clmulni_intel snd soundcore nfit vmw_balloon joydev parport_pc parport vmw_vmci shpchp
 acpi_cpufreq i2c_piix4 nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c crc32c_intel vmwgfx mptspi serio_raw drm_kms_helper scsi_transport_spi e1000 ttm mptscsih drm mptbase ata_generic pata_acpi
CPU: 0 PID: 1928 Comm: plymouthd Not tainted 4.2.3-300.fc23.x86_64 #1
Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/02/2015
task: ffff880136a63b00 ti: ffff88009b4f0000 task.ti: ffff88009b4f0000
RIP: 0010:[<ffffffffa003bd8b>]  [<ffffffffa003bd8b>] drm_ht_find_item+0x2b/0x60 [drm]
RSP: 0018:ffff88009b4f3bf8  EFLAGS: 00010206
RAX: 0000000000000a68 RBX: ffff8800af593bc0 RCX: 0000000000000000
RDX: ffff88009b4f3c08 RSI: 0000000065fe6a34 RDI: ffff8800af593bc0
RBP: ffff88009b4f3bf8 R08: ffff88009b4d3430 R09: ffffffffa0088559
R10: ffff88009b4d3e40 R11: ffff88009b4f3d40 R12: 0000000065fe6a34
R13: ffff8800af593ba0 R14: ffff8800ace5d680 R15: ffff8800a1137800
FS:  00007f5ecb0de700(0000) GS:ffff880139600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000a68 CR3: 00000000b9c3f000 CR4: 00000000001406f0
 ffff88009b4f3c38 ffffffffa0088c3c 042000009b4f3ca8 0000000001484e4d
 0000000000000001 ffff8800b89ad690 ffff8800b8980000 ffff880036af4600
 ffff88009b4f3c48 ffffffffa00891cb ffff88009b4f3c98 ffffffffa010fcc1
Call Trace:
 [<ffffffffa0088c3c>] ttm_ref_object_base_unref+0x4c/0xa0 [ttm]
 [<ffffffffa00891cb>] ttm_vt_unlock+0x1b/0x20 [ttm]
 [<ffffffffa010fcc1>] vmw_master_set+0xa1/0xc0 [vmwgfx]
 [<ffffffffa00388ed>] drm_setmaster_ioctl+0x7d/0x100 [drm]
 [<ffffffffa0034576>] drm_ioctl+0x336/0x610 [drm]
 [<ffffffffa0038870>] ? drm_master_create+0x70/0x70 [drm]
 [<ffffffff81220655>] ? __sb_end_write+0x35/0x70
 [<ffffffff81477023>] ? tty_ioctl+0x3c3/0xb80
 [<ffffffffa010fb0d>] vmw_generic_ioctl+0x16d/0x240 [vmwgfx]
 [<ffffffffa0034240>] ? drm_getmap+0xe0/0xe0 [drm]
 [<ffffffffa010fc15>] vmw_unlocked_ioctl+0x15/0x20 [vmwgfx]
 [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231509>] SyS_ioctl+0x79/0x90
 [<ffffffff817789ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 0f 1f 44 00 00 48 b8 01 00 fc ff ff ff 37 9e b9 40 00 00 00 2a 4f 08 48 0f af c6 55 48 89 e5 48 d3 e8 48 8b 0f 89 c0 48 8d 04 c1 <48> 8b 08 48 85 c9 74 10 48 3b 71 10 74 11 72 08 48 8b 09 48 85 
RIP  [<ffffffffa003bd8b>] drm_ht_find_item+0x2b/0x60 [drm]
 RSP <ffff88009b4f3bf8>
CR2: 0000000000000a68
Comment 1 项纪汉 2015-10-30 06:58:09 EDT
Created attachment 1087912 [details]
File: dmesg
Comment 2 Laura Abbott 2016-09-23 15:23:14 EDT
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
If you experience different issues, please open a new bug report for those.
Comment 3 Laura Abbott 2016-10-26 12:43:04 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.